local rooster_texturepack = TexturePack.new("rooster_spritesheet.txt", "rooster_spritesheet.png", true)

local roosterTexturesArr={
	rooster_texturepack:getTextureRegion("rooster_00.png"),
	rooster_texturepack:getTextureRegion("rooster_01.png"),
	rooster_texturepack:getTextureRegion("rooster_02.png"),
	rooster_texturepack:getTextureRegion("rooster_03.png"),
	rooster_texturepack:getTextureRegion("rooster_04.png"),
	rooster_texturepack:getTextureRegion("rooster_05.png"),
	rooster_texturepack:getTextureRegion("rooster_06.png"),
	rooster_texturepack:getTextureRegion("rooster_07.png"),
	rooster_texturepack:getTextureRegion("rooster_08.png"),
	rooster_texturepack:getTextureRegion("rooster_09.png"),
	rooster_texturepack:getTextureRegion("rooster_10.png"),
	rooster_texturepack:getTextureRegion("rooster_11.png"),
	rooster_texturepack:getTextureRegion("rooster_12.png"),
	rooster_texturepack:getTextureRegion("rooster_13.png"),
	rooster_texturepack:getTextureRegion("rooster_14.png"),
	rooster_texturepack:getTextureRegion("rooster_15.png"),
	rooster_texturepack:getTextureRegion("rooster_16.png")
}

local iterations=100000

local function bench1()
	local rooster=Bitmap.new(rooster_texturepack:getTextureRegion("rooster_00.png"),true)
	
	for i=1,iterations do
		for j=10,16 do
			rooster:setTextureRegion(roosterTexturesArr[j])
		end
	end
	
	print "bench1 finished"
end

local function bench2()
	local rooster=Bitmap.new(rooster_texturepack:getTextureRegion("rooster_00.png"),true)
	
	for i=1,iterations do
		for j=10,16 do
			rooster:setTextureRegion(rooster_texturepack:getTextureRegion("rooster_"..j..".png"))
		end
	end
	
	print "bench2 finished"
end

bench1()
bench2()